Package org.apache.commons.text.similarity

# Class IntersectionResult

java.lang.Object
org.apache.commons.text.similarity.IntersectionResult

public class IntersectionResult extends Object
Represents the intersection result between two sets.

Stores the size of set A, set B and the intersection of A and B (`|A &#8745; B|`).

This class is immutable.

Since:
  1.7
See Also:
  - Intersection

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntersectionResult(int sizeA, int sizeB, int intersection)`
  Constructs the results for an intersection between two sets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `getIntersection()`
  Gets the size of the intersection between set A and B.
  `int`
  `getSizeA()`
  Gets the size of set A.
  `int`
  `getSizeB()`
  Gets the size of set B.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IntersectionResult

    public IntersectionResult(int sizeA, int sizeB, int intersection)
    Constructs the results for an intersection between two sets.
    Parameters:
      `sizeA` - the size of set A (`|A|`)
      `sizeB` - the size of set B (`|B|`)
      `intersection` - the size of the intersection of A and B (`|A &#8745; B|`)
    Throws:
      `IllegalArgumentException` - if the sizes are negative or the intersection is greater than the minimum of the two set sizes

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getIntersection

    public int getIntersection()
    Gets the size of the intersection between set A and B.
    Returns:
      `|A &#8745; B|`

  - ### getSizeA

    public int getSizeA()
    Gets the size of set A.
    Returns:
      |A|

  - ### getSizeB

    public int getSizeB()
    Gets the size of set B.
    Returns:
      |B|

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`